#!/bin/bash
#
# M.Resch, 8.11.2019
#
#

if [ "$(id -u)" != "0" ]; then
   echo "###################################"
   echo "# This script must be run as root #"
   echo "###################################"
   exit 1
fi

ziel=/opt/lmlcc
desktopziel=/usr/share/applications

pfad=$(dirname $(readlink -f ${0}))

echo "... Install start"

apt-get install -y xterm

echo "... mkdir $ziel"
mkdir $ziel
echo "... Copy files"

if [ -e "$ziel/config" ]; then
 mv "$ziel/config" "$ziel/config.old"
 echo "ACHTUNG: Alte config-Datei wurde unter config.old gesichert. "
fi

cp -v $pfad/files/* $ziel
cp -v $pfad/files/lmlcc.desktop $desktopziel

echo "... chown -R root $ziel"
chown -R root $ziel
chown root $desktopziel/lmlcc.desktop
echo "... chmod -R 755 $ziel"
chmod -R 755 $ziel
chmod 755 $desktopziel/lmlcc.desktop

echo "... Install beendet"

exit 0
